version: '3.7'

services:
  api:
    image: registry.gitlab.com/wearelautre/bookshelf/bookshelf-back:1.1.0
    volumes:
      - local_covers:/covers/
      - local_tmp_covers:/tmp/covers/
    environment:
      JAVA_OPTS: "-XX:+UseSerialGC -Xss512k -XX:MaxRAM=500m"
      DATABASE_NAME: bookshelf
      AUTHENTICATIONSERVERURL: https://keycloak.grim-is-a-geek.fr/realms/bookshelf/protocol/openid-connect
      DATABASE_PASSWORD: root
      DATABASE_HOST: database
      DATABASE_USERNAME: root
      COVER_PATH: "/covers/"
      COVER_SEARCH_PATH: "/tmp/covers/"
    ports:
      - "8080:8080"

  bnf-api:
    image: registry.gitlab.com/wearelautre/bookshelf/bookshelf-bnf-api:1.1.0
    volumes:
      - local_tmp_covers:/tmp/covers/
    environment:
      JAVA_OPTS: "-XX:+UseSerialGC -Xss512k -XX:MaxRAM=120m"
      COVER_SEARCH_PATH: "/tmp/covers/"
    ports:
      - "8081:8080"

  database:
    image: mysql:8
    command: --default-authentication-plugin=mysql_native_password
    volumes:
      - local_bookshelf:/var/lib/mysql
    environment:
      MYSQL_ROOT_PASSWORD: root
      MYSQL_DATABASE: bookshelf
      MYSQL_USER: root
      MYSQL_PASSWORD: root
    ports:
      - "3306:3306"

networks:
  backend:

volumes:
  local_bookshelf:
  local_covers:
  local_tmp_covers:
